VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "objDbUser"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'-----------------------------------------------------
' MirageBot Database User Object
' Written by Christopher Nevin (lancergli@gmail.com)
'-----------------------------------------------------

Option Explicit

Public Username As String, RankID As Long, AddTime As String, AddDate As String, AddBy As String

Public Property Get Rank() As String
    If RankID > -1 Then Rank = modRanks.GetRankByID(RankID).RankName
End Property

Public Property Get Safe() As Boolean
    If RankID > -1 Then Safe = modRanks.GetRankByID(RankID).Safe
End Property
